1. Transaction
Personal Finance Tracker
  • Personal Finance Tracker
  • Auth
    • Register
      POST
    • Login
      POST
    • Email Verification
      POST
    • Forgot Password
      POST
    • Reset Password
      POST
    • Resend Verification Code
      POST
  • Finance
    • Wallet
      • Create Wallet
      • Get All Wallet
      • Get Detail Wallet
    • Transaction
      • Create New Transaction
        POST
      • Get Summary By WalletId
        GET
      • Delete Transaction
        DELETE
      • Update Transaction
        PUT
      • Get Summary
        GET
    • Category
      • Create Category
      • Get All Category
    • Budget
      • Create Budget
      • Get All
      • Get Detail
  • User
    • Get My Profile
      GET
  • Schemas
    • Finance
      • Wallet
  1. Transaction

Create New Transaction

Developing
POST
/api/v1/finance/transaction

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Example
{
    "walletId": "",
    "amount": 1000,
    "description": "",
    "transactionDate": "",
    "type": "INCOME",
    "category": "Pemasukan"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/api/v1/finance/transaction' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "walletId": "",
    "amount": 1000,
    "description": "",
    "transactionDate": "",
    "type": "INCOME",
    "category": "Pemasukan"
}'

Responses

🟢200Success
application/json
Body

Example
{}
Modified at 2024-10-06 10:09:40
Previous
Get Detail Wallet
Next
Get Summary By WalletId
Built with